- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types
SuurballeDefaultTraits< GR, LEN > Struct Template Reference

## Detailed Description

### template<typename GR, typename LEN>
struct lemon::SuurballeDefaultTraits< GR, LEN >

Default traits class of Suurballe algorithm.

Template Parameters

  GR | The digraph type the algorithm runs on.
  LEN | The type of the length map. The default value is `GR::ArcMap<int>`.

`#include <lemon/suurballe.h>`

## Public Types
typedef GR | Digraph
| The type of the digraph.
typedef LEN | LengthMap
| The type of the length map.
typedef LEN::Value | Length
| The type of the lengths.
typedef GR::template ArcMap< int > | FlowMap
| The type of the flow map.
typedef GR::template NodeMap < Length > | PotentialMap
| The type of the potential map.
typedef lemon::Path< Digraph > | Path
| The path type. More...
typedef GR::template NodeMap< int > | HeapCrossRef
| The cross reference type used for the heap.
typedef BinHeap< Length, HeapCrossRef > | Heap
| The heap type used for internal Dijkstra computations. More...

## Member Typedef Documentation

typedef lemon::Path<Digraph> Path

The type used for storing the found arc-disjoint paths. It must conform to the Path concept and it must have an `addBack()` function.

typedef BinHeap<Length, HeapCrossRef> Heap

The type of the heap used for internal Dijkstra computations. It must conform to the Heap concept and its priority type must be `Length`.